<template>
  <div>
    <h2 style="margin-top: 15px; margin-bottom: 15px;"><strong style="font-size:35px">{{ $route.params.productitem_name }} {{ $route.params.productitem_batch }}</strong></h2>
    <my-button @click="$router.push(`/`)">Back</my-button>
    <ProductitemFormUpdate>@create="createProductitem"</ProductitemFormUpdate>
        <div v-if="productitem.productitem_checked === 'READY FOR WORK'">
        <div v-if="productitem.productitem_name === 'Torasemide'& productitem.productsite_id === 1">
          <TorasemidePTMDoc></TorasemidePTMDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Torasemide'& productitem.productsite_id === 2">
          <TorasemideTabletDoc></TorasemideTabletDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Torasemide'& productitem.productsite_id === 6">
          <TorasemideBlisterDoc></TorasemideBlisterDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Torasemide'& productitem.productsite_id === 7">
          <TorasemideCardboardDoc></TorasemideCardboardDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 1">
          <PankreatinePTMDoc></PankreatinePTMDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 2">
          <PankreatineTabletDoc></PankreatineTabletDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 3">
          <PankreatineCoatDoc></PankreatineCoatDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 5">
          <PankreatineJarDoc></PankreatineJarDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 7">
          <PankreatineCardboardDoc></PankreatineCardboardDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Vinpochetine'& productitem.productsite_id === 1">
          <VinpochetinePTMDoc></VinpochetinePTMDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Vinpochetine'& productitem.productsite_id === 2">
          <VinpochetineTabletDoc></VinpochetineTabletDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Vinpochetine'& productitem.productsite_id === 6">
          <VinpochetineBlisterDoc></VinpochetineBlisterDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Vinpochetine'& productitem.productsite_id === 7">
          <VinpochetineCardboardDoc></VinpochetineCardboardDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Fluconazole'& productitem.productsite_id === 1">
          <FluconazolePTMDoc></FluconazolePTMDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Fluconazole'& productitem.productsite_id === 4">
          <FluconazoleCapsuleDoc></FluconazoleCapsuleDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Fluconazole'& productitem.productsite_id === 6">
          <FluconazoleBlisterDoc></FluconazoleBlisterDoc>
        </div>
        <div v-if="productitem.productitem_name === 'Fluconazole'& productitem.productsite_id === 7">
          <FluconazoleCardboardDoc></FluconazoleCardboardDoc>
        </div>
        <div v-if="productitem.productitem_name === 'capA'& productitem.productsite_id === 1">
          <capAPTMDoc></capAPTMDoc>
        </div>
        <div v-if="productitem.productitem_name === 'capA'& productitem.productsite_id === 4">
          <capACapsuleDoc></capACapsuleDoc>
        </div>
        <div v-if="productitem.productitem_name === 'capA'& productitem.productsite_id === 6">
          <capABlisterDoc></capABlisterDoc>
        </div>
        <div v-if="productitem.productitem_name === 'capA'& productitem.productsite_id === 7">
          <capACardboardDoc></capACardboardDoc>
        </div>
      </div>
        <div v-if="productitem.productitem_checked === 'CHECKED'">
          <div v-if="productitem.productitem_type_sanitary === 'General' & productitem.productitem_name === 'Torasemide'& productitem.productsite_id === 1">
            <TorasemidePTMSanitaryDoc></TorasemidePTMSanitaryDoc>
          </div>
          <div v-if="productitem.productitem_type_sanitary === 'General' & productitem.productitem_name === 'Torasemide'& productitem.productsite_id === 2">
            <TorasemideTabletSanitaryDoc></TorasemideTabletSanitaryDoc>
          </div>
          <div v-if="productitem.productitem_type_sanitary === 'General' & productitem.productitem_name === 'Torasemide'& productitem.productsite_id === 6">
            <TorasemideBlisterSanitaryDoc></TorasemideBlisterSanitaryDoc>
          </div>
          <div v-if="productitem.productitem_type_sanitary === 'General' & productitem.productitem_name === 'Torasemide'& productitem.productsite_id === 7">
            <TorasemideCardboardSanitaryDoc></TorasemideCardboardSanitaryDoc>
          </div>
          <div v-if="productitem.productitem_type_sanitary === 'General' & productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 1">
            <PankreatinePTMSanitaryDoc></PankreatinePTMSanitaryDoc>
          </div>
          <div v-if="productitem.productitem_type_sanitary === 'General' & productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 2">
            <PankreatineTabletSanitaryDoc></PankreatineTabletSanitaryDoc>
          </div>
          <div v-if="productitem.productitem_type_sanitary === 'General' & productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 3">
            <PankreatineCoatSanitaryDoc></PankreatineCoatSanitaryDoc>
          </div>
          <div v-if="productitem.productitem_type_sanitary === 'General' & productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 5">
            <PankreatineJarSanitaryDoc></PankreatineJarSanitaryDoc>
          </div>
          <div v-if="productitem.productitem_type_sanitary === 'General' & productitem.productitem_name === 'Pankreatine'& productitem.productsite_id === 7">
            <PankreatineCardboardSanitaryDoc></PankreatineCardboardSanitaryDoc>
          </div>
        </div>
  </div>
</template>


<script>
import ProductitemFormUpdate from "@/components/ProductitemFormUpdate";
import ProductitemList from "@/components/ProductitemList";

import PankreatinePTMDoc from "@/components/PankreatinePTMDoc";
import TorasemidePTMDoc from "@/components/TorasemidePTMDoc";
import VinpochetinePTMDoc from "@/components/VinpochetinePTMDoc";
import FluconazolePTMDoc from "@/components/FluconazolePTMDoc";
import capAPTMDoc from "@/components/capAPTMDoc";

import PankreatineTabletDoc from "@/components/PankreatineTabletDoc";
import TorasemideTabletDoc from "@/components/TorasemideTabletDoc";
import VinpochetineTabletDoc from "@/components/VinpochetineTabletDoc";
import CapACapsuleDoc from "@/components/CapACapsuleDoc";
import FluconazoleCapsuleDoc from "@/components/FluconazoleCapsuleDoc";

import PankreatineCoatDoc from "@/components/PankreatineCoatDoc";

import PankreatineJarDoc from "@/components/PankreatineJarDoc";
import TorasemideBlisterDoc from "@/components/TorasemideBlisterDoc";
import VinpochetineBlisterDoc from "@/components/VinpochetineBlisterDoc";
import FluconazoleBlisterDoc from "@/components/FluconazoleBlisterDoc";
import CapABlisterDoc from "@/components/CapABlisterDoc";

import PankreatineCardboardDoc from "@/components/PankreatineCardboardDoc";
import TorasemideCardboardDoc from "@/components/TorasemideCardboardDoc";
import VinpochetineCardboardDoc from "@/components/VinpochetineCardboardDoc";
import CapACardboardDoc from "@/components/CapACardboardDoc";
import FluconazoleCardboardDoc from "@/components/FluconazoleCardboardDoc";

import TorasemidePTMSanitaryDoc from "@/components/TorasemidePTMSanitaryDoc";
import TorasemideTabletSanitaryDoc from "@/components/TorasemideTabletSanitaryDoc";
import TorasemideBlisterSanitaryDoc from "@/components/TorasemideBlisterSanitaryDoc";
import TorasemideCardboardSanitaryDoc from "@/components/TorasemideCardboardSanitaryDoc";

import PankreatinePTMSanitaryDoc from "@/components/PankreatinePTMSanitaryDoc";
import PankreatineTabletSanitaryDoc from "@/components/PankreatineTabletSanitaryDoc";
import PankreatineCoatSanitaryDoc from "@/components/PankreatineCoatSanitaryDoc";
import PankreatineJarSanitaryDoc from "@/components/PankreatineJarSanitaryDoc";
import PankreatineCardboardSanitaryDoc from "@/components/PankreatineCardboardSanitaryDoc";

import axios from 'axios';

export default {
  components: {
      ProductitemList, ProductitemFormUpdate, PankreatinePTMDoc, TorasemidePTMDoc, VinpochetinePTMDoc, FluconazolePTMDoc,
    capAPTMDoc, PankreatineTabletDoc, TorasemideTabletDoc, VinpochetineTabletDoc, CapACapsuleDoc, FluconazoleCapsuleDoc,
    PankreatineCoatDoc, PankreatineJarDoc, TorasemideBlisterDoc, VinpochetineBlisterDoc, FluconazoleBlisterDoc,
    CapABlisterDoc, PankreatineCardboardDoc, TorasemideCardboardDoc, VinpochetineCardboardDoc, CapACardboardDoc,
    FluconazoleCardboardDoc, TorasemidePTMSanitaryDoc, TorasemideTabletSanitaryDoc, TorasemideBlisterSanitaryDoc,
    TorasemideCardboardSanitaryDoc, PankreatinePTMSanitaryDoc, PankreatineTabletSanitaryDoc, PankreatineCoatSanitaryDoc,
    PankreatineJarSanitaryDoc, PankreatineCardboardSanitaryDoc
  },
  props: ['productitem_id'],
  data: () => ({
    productitem: Object
  }),
  methods: {
      createProductitem(productitem) {
          this.productitem.push(productitem)
      },
      async fetchProductitem() {
          try {
              const response = await axios.get(`http://127.0.0.1:5000/pharm/productitem/get/${this.productitem_id}`);
              this.productitem = response.data.productitem;
          } catch (e) {
              alert('Mistake')
          }
        },
      },
  created() {
      this.fetchProductitem();
  },
}
</script>